Zum Hauptinhalt springen
POST
/
api
/
publicapi
/
v1
/
transactions
/
launch
Startet die Verarbeitung von Dateien in einem neuen Vorgang
curl --request POST \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/launch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'Files=<string>' \
  --form 'Model={
  "files": [
    {
      "imageProcessingOptions": {},
      "index": "<string>",
      "registrationParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "registrationParameters": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "skillParameters": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ]
}' \
  --form Files.items='@example-file'
{
  "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Abfrageparameter

skillId
string

Body

multipart/form-data
Files
file[]

Modell zum Empfangen einer Datei, die in einem multipart/*-Inhalt übermittelt wird

Model
object

Zusätzliche Parameter für die Verarbeitung des Vorgangs. Siehe Modell TransactionLaunchMetadataDto.

Antwort

Transaction erfolgreich erstellt und gestartet

transactionId
string<uuid>
erforderlich